Number of features available with this key.
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)Netdisco MIB archive copies
OID reference
1.3.6.1.4.1.3715.99.1.4.5.1.6
Number of features available with this key.
Identification
{1 3 6 1 4 1 3715 99 1 4 5 1 6}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In TELESTE-COMMON-MIB, the row index productKeyIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.3715.99.1.4.5.1.6.<productKeyIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.3715.99.1.4.5.1.6
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
productKeyNumberOfFeatures OBJECT-TYPE
SYNTAX INTEGER
ACCESS read-only
STATUS mandatory
DESCRIPTION
"Number of features available with this key."
::= { productKeyEntry 6 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Number of features available with this key.
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)Netdisco MIB archive copies
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: productKeyNumberOfFeatures
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"productKeyNumberOfFeatures",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Number of features available with this key.\"",
"::=",
"{",
"productKeyEntry",
"6",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Number of features available with this key."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: TELESTE-COMMON-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString'], 'TELESTE-ROOT-MIB': ['common', 'TPhysAddress', 'Uint16', 'DateAndTime']}Related source files and packages:
Vendor MIB copy from the Observium Community archive.
Module: TELESTE-COMMON-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString'], 'TELESTE-ROOT-MIB': ['common', 'TPhysAddress', 'Uint16', 'DateAndTime']}Related source files and packages:
Vendor MIB copy from the Netdisco archive.
Module: TELESTE-COMMON-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString'], 'TELESTE-ROOT-MIB': ['common', 'TPhysAddress', 'Uint16', 'DateAndTime']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.3715.99.1.4.5.1.1 | productKeyIndex | 0 | 0 | |
| 1.3.6.1.4.1.3715.99.1.4.5.1.2 | productKeyValue | 0 | 0 | |
| 1.3.6.1.4.1.3715.99.1.4.5.1.3 | productKeyMask | 0 | 0 | |
| 1.3.6.1.4.1.3715.99.1.4.5.1.4 | productKeyStatus | 0 | 0 | |
| 1.3.6.1.4.1.3715.99.1.4.5.1.5 | productKeyCipher | 0 | 0 |